### Name: algo.hhh
### Title: Model fit based on the Held, Hhle, Hofmann paper
### Aliases: algo.hhh print.ah


### ** Examples


    # univariate time series: salmonella agona cases
    data(salmonella.agona)
    salmonella <- create.disProg(week=1:nrow(salmonella.agona),
                 observed=salmonella.agona$observed, state=salmonella.agona$state)
    
    model1 <- list(lambda=TRUE, linear=TRUE, nseason=1, negbin=TRUE)
    algo.hhh(salmonella, control=model1)
    
    # multivariate time series: measels cases
    data(measels.weser)
    
    # same model as above
    algo.hhh(measels.weser, control=model1)
    
    # different starting values for (lambda, beta, gamma, delta, psi)
    startValues <- c(0.1, rep(0, 3), 1)
    algo.hhh(measels.weser, control=model1, thetastart=startValues)
    
    # include autoregressive parameter phi for adjacent "Kreise"
    model2 <- list(lambda=TRUE, neighbours=TRUE, linear=TRUE, nseason=1,
                  negbin=TRUE)
    algo.hhh(measels.weser, control=model2)
                  



