### Name: algo.hhh.grid
### Title: Function to try multiple starting values
### Aliases: algo.hhh.grid print.ahg


### ** Examples

    
    # monthly counts of menigococcal infections in France
    data(meningo.age)
                  
    # specify model for algo.hhh.grid
    model1 <- list(lambda=TRUE, linear=TRUE)
    # create grid of inital values
    grid1 <- create.grid(params = list(lambda=c(0.1,0.9,5), beta=c(-1,1,3)))
    # try multiple starting values, print progress information
    algo.hhh.grid(meningo.age, control=model1, thetastartMatrix=grid1,
                  verbose=TRUE)
    
    # specify model
    model2 <- list(lambda=TRUE, neighbours=TRUE, linear=TRUE, negbin=TRUE,
                  nseason=1, period=12)
    grid2 <- create.grid(params = list(lambda=c(0.1,0.9,5), phi=c(0.1,0.9,5), 
                  beta=c(0,0.5,2), psi=c(0.3,12,10), gammaDelta=c(-0.5,0.5,3),
                  nseason=1))
    # run algo.hhh.grid, search time is limited to 60 sec
    algo.hhh.grid(meningo.age, control=model2, thetastartMatrix=grid2,
                  maxTime=60)




